# @summary A short summary of the purpose of this class
#
# A description of what this class does
#
# @example
#   include client1_video
class client1_video {
  file { '/etc/netplan/01-network-manager-all.yaml':
    ensure  => file,
    owner   => 'root',
    group   => 'root',
    mode    => '0644',
    content => template('client1/01-network-manager-all.yaml.erb'),
  }
  file { '/etc/hosts':
    ensure  => file,
    owner   => 'root',
    group   => 'root',
    mode    => '0644',
    content => template('client1/hosts.erb'),
  }
  exec { 'netplan-apply':
    command  => '/usr/bin/sudo netplan apply',
    provider => 'shell',
  }
}
